/** Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.data.exception;

import jp.littlesoft.LSException;

/**
 * データオブジェクトの操作例外。<br/><br/>
 *
 * データオブジェクトからスローされる例外の基底クラスです。<br/><br/>
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class DataException extends LSException {

  /**
   * コンストラクタ<br/>
   *
   * @param  message　メッセージ
   */
  public DataException(String message) {
    super(message);
  }

  /**
   * コンストラクタ<br/>
   *
   * @param  message　メッセージ
   * @param  cause  原因となったThrowableオブジェクト
   */  
  public DataException(String message, Throwable cause) {
    super(message, cause);
  }

  /**
   * コンストラクタ<br/>
   *
   * @param  cause  原因となったThrowableオブジェクト
   */  
  public DataException(Throwable cause) {
    super(cause);
  }

  /**
   * コンストラクタ<br/>
   *
   * @param cause  原因となったThrowableオブジェクト
   * @param msgResClassName メッセージリソースのクラス名
   * @param msgResFieldName メッセージリソースのフィールド名
   * @param msgArgs メッセージ中に表示する置換文字列の配列
   */
  public DataException(Throwable cause, String msgResClassName, String msgResFieldName, Object[] msgArgs) {
    super(cause, msgResClassName, msgResFieldName, msgArgs);
  }

}

