/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.sql;

import java.sql.SQLException;

import jp.littlesoft.data.DataProvider;
import jp.littlesoft.data.Row;
import jp.littlesoft.data.Table;
import jp.littlesoft.data.exception.DataException;
import jp.littlesoft.sql.exception.LSSQLException;

/**
 * SQLデータベースからTableオブジェクトに読み込むクラス。<br/>
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class SQLDataSequentialProvider extends SQLDataProviderImpl implements DataProvider {

  
  public SQLDataSequentialProvider(){
  }
  @SuppressWarnings("unchecked")
  public void loadData(Table table) throws DataException {
    // no Impl
  }
  
  @SuppressWarnings("unchecked")
  public Row loadDataSeq(Table table, boolean isFirst) throws DataException {
      boolean hasMoreRow = true;
      //table.setHasMoreRow(false);
      
      Row newRow = null;
    try {
      if (this.jdbcResultSet==null) throw new SQLException("jdbcResultSet is null");
   
      if(isFirst){
        hasMoreRow = this.jdbcResultSet.first();
      }else{
        hasMoreRow = this.jdbcResultSet.next();
      }
      
      if (hasMoreRow){
        newRow = new Row(table);
        newRow.setValueFromResultSet(jdbcResultSet, resultSetColumnNames);
        newRow.setStatus(Row.Status.LOADED);     
      }  
    } catch (SQLException x) {
      x.printStackTrace();
      freeStatement();
      throw new LSSQLException(x);
    } catch (DataException x) {
      freeStatement();
      throw x;
    }
    return newRow;
  }



}
