/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.sql;

import java.io.Serializable;
import java.sql.DriverManager;

import jp.littlesoft.data.ITableDef.MetaData;
import jp.littlesoft.sql.SQL.Select;
import jp.littlesoft.web.WebSQLTable;
import lsjsample.DB;
import lsjsample.DB.Department;

public class SQLTest {

  static public class EmployeeView extends DB.Employee {
    public String deptName;
    @Override
    public MetaData<?> createMetaData() {
      return new MetaData<EmployeeView>();
    }
  }
  
  public SQLTest() {
    
  }
  
  @SuppressWarnings("serial")
  public void execute() throws Exception {
    WebSQLTable<EmployeeView> view = new WebSQLTable<EmployeeView>() {{
      DB.Employee emp = $useDummy(DB.Employee.class);
      DB.Department dept = $useRemoteDummy(DB.Department.class, "remoteDB");
      select(
        $(emp).into($$),
        $(dept.name).into($$.deptName)
      ).from(emp)
        .innerJoin(dept).on(emp.deptCode).is(dept.code)
      .end
      .where(dept.code).is(1)
      .end
      .orderBy(emp.id)  
      .prepare();
    }};
    
    java.sql.Connection conn = DriverManager.getConnection("jdbc:h2:file:C:/gomi/mydb", "sa", "");
    java.sql.Connection connRemote = DriverManager.getConnection("jdbc:h2:file:C:/gomi/remote", "sa", "");
    
    view.setRemoteConnection("remoteDB", connRemote);
    view.activate(conn);
    view.dump();
    
    conn.close();
    connRemote.close();
  }
  
  
  
  static public void main(String[] args) {
    try {
      new SQLTest().execute();
    } catch (Exception x) {
      x.printStackTrace();
    }
  }
  
}
