/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.sql.exception;

import jp.littlesoft.data.exception.DataException;

/**
 * java.sql.SQLExceptionをラップした例外クラス。<br/><br/>
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class LSSQLException extends DataException {

  private static String customMessage = null;

  /**
   * コンストラクタ。<br/>
   * 
   * @param  cause  原因となったThrowableオブジェクト
   */  
  public LSSQLException(Throwable cause) {
    super((customMessage == null) ? cause.getMessage() : customMessage, cause);
  }

  /**
   * コンストラクタ。<br/>
   * 
   * @param cause  原因となったThrowableオブジェクト
   * @param msgResClassName メッセージリソースのクラス名
   * @param msgResFieldName メッセージリソースのフィールド名
   * @param msgArgs メッセージ中に表示する置換文字列の配列
   */
  public LSSQLException(Throwable cause, String msgResClassName, String msgResFieldName, Object[] msgArgs) {
    super(cause, msgResClassName, msgResFieldName, msgArgs);
  }

  /**
   * SQLException発生時のカスタムメッセージを取得します。
   * 
   * @return カスタムメッセージ
   */
  public static String getCustomMessage() {
    return customMessage;
  }

  /**
   * SQLException発生時のカスタムメッセージを設定します。
   * 
   * @param custumMessage カスタムメッセージ
   */
  public static void setCustomMessage(String custumMessage) {
    LSSQLException.customMessage = custumMessage;
  }
  
}
